package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * VoipCallLog
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class VoipCallLog   {
  @JsonProperty("entryId")
  private String entryId;

  @JsonProperty("dateTime")
  private Integer dateTime;

  @JsonProperty("status")
  private Integer status;

  @JsonProperty("duration")
  private Integer duration;

  @JsonProperty("numberOrContact")
  private String numberOrContact;

  @JsonProperty("deviceNumber")
  private String deviceNumber;

  @JsonProperty("port")
  private Integer port;

  @JsonProperty("telephonyDevice")
  private CallLogDeviceOpenApiVo telephonyDevice;

  public VoipCallLog entryId(String entryId) {
    this.entryId = entryId;
    return this;
  }

  /**
   * The entry ID of callLog.
   * @return entryId
  */
  @ApiModelProperty(value = "The entry ID of callLog.")


  public String getEntryId() {
    return entryId;
  }

  public void setEntryId(String entryId) {
    this.entryId = entryId;
  }

  public VoipCallLog dateTime(Integer dateTime) {
    this.dateTime = dateTime;
    return this;
  }

  /**
   * The dateTime of callLog.
   * @return dateTime
  */
  @ApiModelProperty(value = "The dateTime of callLog.")


  public Integer getDateTime() {
    return dateTime;
  }

  public void setDateTime(Integer dateTime) {
    this.dateTime = dateTime;
  }

  public VoipCallLog status(Integer status) {
    this.status = status;
    return this;
  }

  /**
   * The status of callLog.
   * @return status
  */
  @ApiModelProperty(value = "The status of callLog.")


  public Integer getStatus() {
    return status;
  }

  public void setStatus(Integer status) {
    this.status = status;
  }

  public VoipCallLog duration(Integer duration) {
    this.duration = duration;
    return this;
  }

  /**
   * The duration of callLog.
   * @return duration
  */
  @ApiModelProperty(value = "The duration of callLog.")


  public Integer getDuration() {
    return duration;
  }

  public void setDuration(Integer duration) {
    this.duration = duration;
  }

  public VoipCallLog numberOrContact(String numberOrContact) {
    this.numberOrContact = numberOrContact;
    return this;
  }

  /**
   * The number or contact person of callLog.
   * @return numberOrContact
  */
  @ApiModelProperty(value = "The number or contact person of callLog.")


  public String getNumberOrContact() {
    return numberOrContact;
  }

  public void setNumberOrContact(String numberOrContact) {
    this.numberOrContact = numberOrContact;
  }

  public VoipCallLog deviceNumber(String deviceNumber) {
    this.deviceNumber = deviceNumber;
    return this;
  }

  /**
   * The deviceNumber of callLog.
   * @return deviceNumber
  */
  @ApiModelProperty(value = "The deviceNumber of callLog.")


  public String getDeviceNumber() {
    return deviceNumber;
  }

  public void setDeviceNumber(String deviceNumber) {
    this.deviceNumber = deviceNumber;
  }

  public VoipCallLog port(Integer port) {
    this.port = port;
    return this;
  }

  /**
   * FXS port id of this call log.
   * @return port
  */
  @ApiModelProperty(value = "FXS port id of this call log.")


  public Integer getPort() {
    return port;
  }

  public void setPort(Integer port) {
    this.port = port;
  }

  public VoipCallLog telephonyDevice(CallLogDeviceOpenApiVo telephonyDevice) {
    this.telephonyDevice = telephonyDevice;
    return this;
  }

  /**
   * Get telephonyDevice
   * @return telephonyDevice
  */
  @ApiModelProperty(value = "")

  @Valid

  public CallLogDeviceOpenApiVo getTelephonyDevice() {
    return telephonyDevice;
  }

  public void setTelephonyDevice(CallLogDeviceOpenApiVo telephonyDevice) {
    this.telephonyDevice = telephonyDevice;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    VoipCallLog voipCallLog = (VoipCallLog) o;
    return Objects.equals(this.entryId, voipCallLog.entryId) &&
        Objects.equals(this.dateTime, voipCallLog.dateTime) &&
        Objects.equals(this.status, voipCallLog.status) &&
        Objects.equals(this.duration, voipCallLog.duration) &&
        Objects.equals(this.numberOrContact, voipCallLog.numberOrContact) &&
        Objects.equals(this.deviceNumber, voipCallLog.deviceNumber) &&
        Objects.equals(this.port, voipCallLog.port) &&
        Objects.equals(this.telephonyDevice, voipCallLog.telephonyDevice);
  }

  @Override
  public int hashCode() {
    return Objects.hash(entryId, dateTime, status, duration, numberOrContact, deviceNumber, port, telephonyDevice);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class VoipCallLog {\n");
    
    sb.append("    entryId: ").append(toIndentedString(entryId)).append("\n");
    sb.append("    dateTime: ").append(toIndentedString(dateTime)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    duration: ").append(toIndentedString(duration)).append("\n");
    sb.append("    numberOrContact: ").append(toIndentedString(numberOrContact)).append("\n");
    sb.append("    deviceNumber: ").append(toIndentedString(deviceNumber)).append("\n");
    sb.append("    port: ").append(toIndentedString(port)).append("\n");
    sb.append("    telephonyDevice: ").append(toIndentedString(telephonyDevice)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

